%global modname zope.i18n
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name: python-zope-i18n
Summary: Zope Internationalization Support
Version: 4.1.0
Release: 13%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
# Patch for FHS compliance
Patch0: zope.i18n-fhs-datadir.patch
# Code is ZPLv2.1, data in /usr/share/zope/i18n//locales/data is UCD
License: ZPLv2.1 and UCD
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.i18n

%description
This package implements several APIs related to internationalization and
localization and also provides:

* Locale objects for all locales maintained by the ICU project.

* Gettext-based message catalogs for message strings.

* Locale discovery for Web-based requests.

%package -n python-zope-i18n-common
Summary: Support and locale files for python-zope-i18n packages.

%description -n python-zope-i18n-common
This package provides common locale files for other python-specific
python-zope-i18n packages.

%package -n python3-zope-i18n
Summary: Zope Internationalization Support
%{?python_provide:%python_provide python3-zope-i18n}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3
Requires:       python3-pytz
Requires:       python3-zope-schema
Requires:       python3-zope-i18nmessageid
Requires:       python3-zope-component
Requires:       python-zope-i18n-common

%description -n python3-zope-i18n
This package provides a utility module for content-type handling.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1 -b .fhs

%build
%py3_build

%install
%py3_install
# deal with documents
mkdir -p %{buildroot}%{_pkgdocdir}/locales/
cp -p *.txt %{buildroot}%{_pkgdocdir}/
mv %{buildroot}%{python3_sitelib}/zope/i18n/*.txt \
   %{buildroot}%{_pkgdocdir}/
mv %{buildroot}%{python3_sitelib}/zope/i18n/locales/*.txt \
   %{buildroot}%{_pkgdocdir}/locales/
mv %{buildroot}%{python3_sitelib}/zope/i18n/locales/data/license.html \
   %{buildroot}%{_pkgdocdir}/locales/

install -m 0755 -d %{buildroot}%{_datadir}/%{name}/locales/
DATADIR=%{_datadir}/%{name}
mv %{buildroot}%{python3_sitelib}/zope/i18n/locales/data \
   %{buildroot}$DATADIR/locales/
rm -f %{name}.lang
for locale_file in `find %{buildroot}$DATADIR/locales/ -name '*.xml' ! -name 'root*'` ; do
    filename=`basename $locale_file`
    locale=`basename $locale_file .xml`
    echo "%lang($locale) $DATADIR/locales/data/$filename">> %{name}.lang
done

%files -n python-zope-i18n-common -f %{name}.lang
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/locales/
%dir %{_datadir}/%{name}/locales/data/
%{_datadir}/%{name}/locales/data/root.xml
%{_pkgdocdir}/

%files -n python3-zope-i18n
%{python3_sitelib}/zope/i18n/
%exclude %{python3_sitelib}/zope/i18n/tests/
%exclude %{python3_sitelib}/zope/i18n/locales/tests/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Oct 12 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.1.0-11
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-9
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 4.1.0-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Jun 28 2016 Ralph Bean <rbean@redhat.com> - 4.1.0-3
- Split into python2 and python3 subpackages.
- Split common locale files out into their own subpackage, also.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Dec 11 2015 Ralph Bean <rbean@redhat.com> - 4.1.0-1
- new version

* Wed Sep 16 2015 Ralph Bean <rbean@redhat.com> - 4.0.1-1
- new version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 18 2015 Ralph Bean <rbean@redhat.com> - 4.0.0-1
- new version

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Dec 14 2013 Ville Skyttä <ville.skytta@iki.fi> - 3.8.0-3
- Install docs to %%{_pkgdocdir} where available (#994066).

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 3.8.0-1
- Latest upstream.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.7.4-2
- Moved the data files to %%{_datadir}/%%{name}/ and applied a small
  complementary patch with help from Toshio Kuratomi <a.badger@gmail.com>
- Marked the data files with %%lang directives properly
- License revised to 'ZPL2.1 and UCD'

* Thu Sep 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.7.4-1
- Update to 3.7.4
- Rearrange the documents
- Requires: python-zope-filesystem and python-setuptools removed
- Spec cleaned up
- Exclude the tests

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.7.3-1
- Initial packaging
